Package: org.apache.groovy.ast.tools

## [Java] Class ConstructorNodeUtils

- org.apache.groovy.ast.tools.ConstructorNodeUtils

-     public class ConstructorNodeUtils
      extends Object

  Utility class for working with ConstructorNodes

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Statement` | `checkPropNamesS(VariableExpression namedArgs, boolean pojo, List<PropertyNode> props)`
    `` | `public static ConstructorCallExpression` | `getFirstIfSpecialConstructorCall(Statement code)` Return the first statement from the constructor code if it is a call to super or this, otherwise null.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static Statement checkPropNamesS(VariableExpression namedArgs, boolean pojo, List<PropertyNode> props)

    - #### public static ConstructorCallExpression getFirstIfSpecialConstructorCall(Statement code)

      Return the first statement from the constructor code if it is a call to super or this, otherwise null.

      Parameters:
        `code` - the code to check
      Returns:
        the first statement if a special call or null